<template>
	<Head title="Product" />

	<BreezeAuthenticatedLayout>
		<template #header>
			<h2 class="font-semibold text-xl text-gray-800 leading-tight">
				{{ product ? 'Update' : "Create New" }} Product
			</h2>
		</template>

		<div class="py-12">
			<div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
				<div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
					<div class="p-6 bg-white border-b border-gray-200">
                    
						<form class="space-y-4" @submit.prevent="submit">
                        <div class="flex space-x-6">
                        <div class="w-32"> Name : </div>
                        <input type="text" class="input-form" v-model="form.name" />
                        </div>

                        <div class="flex space-x-6">
                        <div class="w-32"> Description: </div>
                        <input type="text" class="input-form" v-model="form.description" />
                        </div>

                        <div class="flex space-x-6">
                        <div class="w-32"> Price : </div>
                        <input type="number" class="input-form"  v-model="form.price" @change="calculateAdminFee" />
                        </div>

                        <div class="flex space-x-6">
                        <div class="w-32"> Admin Fee: </div>
                        <input type="text" class="input-form" v-model="form.admin_fee" />
                        </div>

                        <div class="flex space-x-6">
                        <div class="w-32"> Quantity : </div>
                        <input type="text" class="input-form"  v-model="form.quantity" />
                        </div>
                       

                       <button type="submit" class="primary-button">
                       {{ product ? 'Update' : "Submit" }}

                       </button>

                        </form>

					</div>
				</div>
			</div>
		</div>
	</BreezeAuthenticatedLayout>
</template>

<script>
import BreezeAuthenticatedLayout from "@/Layouts/Authenticated.vue";
import { Head } from "@inertiajs/inertia-vue3";
import { Inertia } from '@inertiajs/inertia';

export default {
    props: { product: Object },
	components: { BreezeAuthenticatedLayout, Head },
    data(){
        return{
            form: {
                name: this.product ?.name,
                description: this.product ?.description,
                price: this.product ?.price,
                quantity: this.product ?.quantity,
                admin_fee: this.product ?.admin_fee,
            },

        };
    },
	methods:{
        calculateAdminFee(){
            this.form.admin_fee = parseFloat(this.form.price) * 0.05; 
        },
      submit() {
      if(this.product)Inertia.put('/product/' + this.product.id, this.form);
      //update
      else Inertia.post('/product', this.form);
    },
    },
    updated() {
		var flash = this.$page.props.flash;
		if (flash?.message)
			Swal.fire({
				toast: true,
				position: "top-end",
				showConfirmButton: false,
				timer: 3000,
				timerProgressBar: true,
				icon: flash.type,
				title: flash.message,
			});
	},
};
</script>
